## PROFISIGHT SETUP AND CHANGELOG

### **INSTALLATION**

#### LINUX: UBUNTU FAMILY (LTS)
Installation requirements:
- Internet Connection
- Ubuntu 16 LTS / Ubuntu 18 LTS / Ubuntu Mint/ Xubuntu / Lubuntu / PopOS!
- Preferably latest kernel versions
- Run as super user
Steps - Grant permissions and execute:
- sudo chmod +x profisight_installer*****.run
- sudo ./profisight_installer****.run
- If getting a Wireshark pop-up accept and continue.

#### WINDOWS 10
Installation requirements:
- Internet Connection
- Wireshark and Java installed (if not, a promp will redirect you to installation)
- Run the .exe installer and follow the steps
- Unplug and plug your devices

**ATTENTION Reboot after installation**

### **LICENSE ACTIVATION**
- Open ProfiSight Manager, a Key activation window will pop up
- Input your Trial/Perpetual Key and click Activate

### **CHANGELOG**

#### v.2019.08.01 (Release 3)
##### Features
- Added possibility to schedule data cleanup
- Added possibility to activate product from web interfaces
- Updated default capture duration and size
- Added file listing of captured files
##### Improvements
- Centralized Server: Massive stability improvement
- Sentinel: Stability improvement and restart functionality
##### Installation
- Lots of behind the scenes changes to improve experience
##### Bugs
- Crash on importing pcap/pcapng file
- Sentinel memory leak
- Sentinel random crashes
- Many minor bugs that improve stability and user experience

#### v.2019.03.01 (Release 2)
##### Features
- Allow capture from host interfaces (NIC and others)
- ProfiSight includes Profishark remote control (firmware, ports control, capture settings, statistics, restart, GPS, SFP)
- Connected capture: capture live statistcs on added 'capturing' Profisharks: number of files, data captured...
- New Dashboard: Template dashboard to create new ones
- Centralized Server control from CLI or using yaml config. License management from CLI
##### Improvements
- Centralized Server: JSON processing redesign
- Centralized Server: support full timestamp language original from Dashboards (e.g: now-2w/w)
##### Installation
- Ubuntu: Refactored centralized-server, dashboard and database paths
- Ubuntu: If package installed try to update
- Ubuntu: Removed sentinel-data from installation; sentinel contains geoip maps in package
- Ubuntu: Moved repo address to globals: setup 'dev_packages repo' and installation according to it when dev installer
- Windows 10: updated drivers and APIs to latest version
##### Bugs
- Centralized Server: fixed pcap/pcapng conflict on merge file when download from Dashboard
- Sentinel: solved GeoIP not resolving addresses
- Dashboard fixes: microburst, geoip
- Fixed bugs on dashboard installation: paths

#### v.2018.12.10
- Enabled double repo download, ubuntu.profitap.com for Profishark packages and profisight.profitap.com for ProfiSight packages

#### v.2018.12.05
- Added support for 18.10 and Pop!_OS (18.10)

#### v.2018.11.20
- Updated demo data

#### v.2018.11.08 (Release 1)
- Fixed bug in default port number to 8081 for .db
- Styling changes and alerts menu hidden

#### v.2018.10.24
- Black theme support for plugins

#### v.2018.10.22
- Repo based on profisight.profitap.com [Opened to public access]
- Fixed bug on plugin settings cleanup

#### v.2018.10.18 
- Renamed analyzer to Sentinel
- Changed default annotations CS port to 8081



